Get an AI profile - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service allows users with the ADMIN role to get an AI profile.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

For more information about AI profiles, see AI.

Method Endpoint
GET
/api/admin/ai/profiles/{id}
Path parameter Type Description
{id} String The AI profile's random ID. Call the List AI profiles web service, and use the profile's id value.

Response body

{
  "id": "beb39ec5-baab-423e-baa8-c56299059955",
  "profileType": "TRANSLATION",
  "name": "My test",
  "profileId": "test",
  "apiKey": "XXX",
  "authenticationMethod": {
    "type": "api_key",
    "label": "API key",
    "authenticationParameters": [
      {
        "label": "API key",
        "key": "api_key",
        "value": "XXX",
        "isSecret": true,
        "isOptional": false
      }
    ]
  }
}
Field Type Description
id String The unique identifier for the profile.
profileType String The type of the profile. Can be AGENTIC_CHATBOT, COMPLETION, CHATBOT, or TRANSLATION.
name String The name of the profile.
profileId String The profile ID of the profile. It can only include alphanumeric characters, hyphens (-), and underscores (_).
apiKey String The API key for the Large Language Model (LLM) provider or translation provider.
authenticationMethod Object Contain the details for the authentication to the provider.
type String The type of authentication.
label String The label for the type of authentication.
authenticationParameters List of objects The list of parameters to connect to the provider.
label String The label for the authentication parameter.
key String The key for the authentication parameter.
value String The value for the authentication parameter.
isSecret Boolean Whether the parameter is secret or not.
isOptional Boolean Whether the parameter is optional or not.
customPrompt String Only with AGENTIC_CHATBOT, CHATBOT, or COMPLETION profiles. The LLM prompt. The prompt can contain variables. Place variables in single curly brackets. Users can set the values of variables when using the AI method in Custom components, or the Query a large language model (LLM) web service.
numSemanticSearchResults Number Only with AGENTIC_CHATBOT, or CHATBOT profiles. The number of semantic search results provided to the large language model (LLM) when calling the Retrieval-augmented generation web service. The value can range from 1 to 20. By default, the value is 5.
numSemanticSearchResultsAfterRerank Number Only with AGENTIC_CHATBOT, or CHATBOT profiles. The number of semantic search results provided to the large language model (LLM) after reranking. The value must be smaller or equal to the value of the numSemanticSearchResults field.
ragPrompt String Only with CHATBOT profiles. A Retrieval-augmented generation (RAG) prompt. Asks the user question to the LLM. It must have the {relevant_documents} variable, and the {chatbot_instructions} variable for Chatbot profiles. {relevant_documents} dynamically contains the relevant documents (gotten through the Clustered semantic search web service), and {chatbot_instructions} is the customPrompt value.
ragHistoryPrompt String Only with CHATBOT profiles. A Retrieval-augmented generation (RAG) history prompt. Asks the LLM to transform the user question and the conversation history into a standalone question asked to the LLM.
translationAdvancedSettings String Only with TRANSLATION profiles. Parameters for the translation engine. Accepts JSON as a string.
translationDestinationLanguages Array Only with TRANSLATION profiles. A list of target languages available to end users in On-demand translation components that use this profile.
The expected format depends on the translation provider. For example, it may be fr or fr-FR for French.
relevantMetadata String Only with AGENTIC_CHATBOT profiles. relevantMetadata allow the chatbot to use metadata filters for their queries. relevantMetadata contains a stringified JSON array of metadata objects, each containing a key identifier, an array of values, and a description. Proper description on how and when to use metadata filters is essential.
If the agentic chatbot runs a query with filters and gets no response, it runs the query again.
promoteRules String Only with AGENTIC_CHATBOT profiles. promoteRules uses metadata to indicate which variant of a document is the most relevant in a document cluster. For example "version": "latest". promoteRules contains a stringified JSON array of metadata objects, each containing a key identifier, and an array of values.
  • If the variant does not exist, the agentic chatbot ignores the rule.
  • Rules are applied in order.
agentPrompt String Only with AGENTIC_CHATBOT profiles. The agentPrompt defines specific instructions and the conversation scope for the bot. For optimal results, add specific instructions that are relevant to your context. Below are a few examples:
  • "If the user is asking about product _X, search for release notes X before answering."
  • "_Make sure you have properly identified the product the user is referring to."
  • "Suggest to create a support ticket and provide a link to _support.example.com if the user found a critical bug."
  • "_If the relevant documentation contains a topic named "Prerequisites" or "Before you begin", provide its content to the user."
Return code Description
200 OK The profile was gotten successfully.
401 UNAUTHORIZED The authorization header is absent or invalid.

For a comprehensive list of all possible return codes, see Return codes.